unit testtseisu;

interface

implementation
uses tabai, dunit, stream;

type
  TSeisuTest = class(TTest)
  published
    procedure testReadFromStream;
end;

procedure TSeisuTest.testReadFromStream;
var
    aSeisu:TSeisu;
    aStream:StringStream;
begin
    aSeisu := TSeisu.Create;
    aStream := StringStream.fromString('12345 ');
    try
        aSeisu.readFromStream(aStream);
        Test(aSeisu.asString, '12345');
    finally
        aSeisu.free;
        aStream.free;
    end;
end;

initialization
  TestSuite.Add(TSeisuTest);
end.
