unit testshiki;

interface

implementation
uses shiki, dunit;

type
  TShikiTest = class(TTest)
  published
    procedure testClear;
end;

procedure TShikiTest.testClear;
var
    aShiki:TShiki;
begin
    aShiki := TShiki.Create;
    try
        aShiki.add(seisu, '1', '1');
        aShiki.add(bunsu, '3', '4');
        aShiki.add(kigou, '+', '');
        Test(aShiki.count, 3);
        aShiki.Clear;
        Test(aShiki.count, 0);
    finally
        aShiki.free;
    end;
end;

initialization
  TestSuite.Add(TShikiTest);
end.

